## ExampleCat ExampleCat — Generated C code for the org.gtk.GDBus.Example.ObjectManager.Cat D-Bus interface |

## Functions

GDBusInterfaceInfo * | example_cat_interface_info ()
guint | example_cat_override_properties ()
void | example_cat_proxy_new ()
ExampleCat * | example_cat_proxy_new_finish ()
ExampleCat * | example_cat_proxy_new_sync ()
void | example_cat_proxy_new_for_bus ()
ExampleCat * | example_cat_proxy_new_for_bus_finish ()
ExampleCat * | example_cat_proxy_new_for_bus_sync ()
ExampleCat * | example_cat_skeleton_new ()

## Types and Values

| ExampleCat
struct | ExampleCatIface
struct | ExampleCatProxy
struct | ExampleCatProxyClass
struct | ExampleCatSkeleton
struct | ExampleCatSkeletonClass

## Object Hierarchy

        GInterface
        ╰── ExampleCat
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── ExampleCatSkeleton
        ╰── GDBusProxy
            ╰── ExampleCatProxy

## Prerequisites

ExampleCat requires GObject.

## Implemented Interfaces

ExampleCatProxy implements GDBusInterface, GInitable, GAsyncInitable and ExampleCat.

ExampleCatSkeleton implements GDBusInterface and ExampleCat.

## Known Implementations

ExampleCat is implemented by ExampleCatProxy and ExampleCatSkeleton.

## Description

This section contains code for working with the org.gtk.GDBus.Example.ObjectManager.Cat D-Bus interface in C.

## Functions

### example_cat_interface_info ()

    GDBusInterfaceInfo *
    example_cat_interface_info (void);

Gets a machine-readable description of the org.gtk.GDBus.Example.ObjectManager.Cat D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### example_cat_override_properties ()

    guint
    example_cat_override_properties (GObjectClass *klass,
                                     guint property_id_begin);

Overrides all GObject properties in the ExampleCat interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### example_cat_proxy_new ()

    void
    example_cat_proxy_new (GDBusConnection *connection,
                           GDBusProxyFlags flags,
                           const gchar *name,
                           const gchar *object_path,
                           GCancellable *cancellable,
                           GAsyncReadyCallback callback,
                           gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gtk.GDBus.Example.ObjectManager.Cat. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `example_cat_proxy_new_finish()` to get the result of the operation.

See `example_cat_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### example_cat_proxy_new_finish ()

    ExampleCat *
    example_cat_proxy_new_finish (GAsyncResult *res,
                                  GError **error);

Finishes an operation started with `example_cat_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `example_cat_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type ExampleCatProxy]

### example_cat_proxy_new_sync ()

    ExampleCat *
    example_cat_proxy_new_sync (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GError **error);

Synchronously creates a proxy for the D-Bus interface org.gtk.GDBus.Example.ObjectManager.Cat. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `example_cat_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type ExampleCatProxy]

### example_cat_proxy_new_for_bus ()

    void
    example_cat_proxy_new_for_bus (GBusType bus_type,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Like `example_cat_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `example_cat_proxy_new_for_bus_finish()` to get the result of the operation.

See `example_cat_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### example_cat_proxy_new_for_bus_finish ()

    ExampleCat *
    example_cat_proxy_new_for_bus_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `example_cat_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `example_cat_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type ExampleCatProxy]

### example_cat_proxy_new_for_bus_sync ()

    ExampleCat *
    example_cat_proxy_new_for_bus_sync (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Like `example_cat_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `example_cat_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type ExampleCatProxy]

### example_cat_skeleton_new ()

    ExampleCat *
    example_cat_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gtk.GDBus.Example.ObjectManager.Cat.

#### Returns

The skeleton object.

[transfer full][type ExampleCatSkeleton]

## Types and Values

### ExampleCat

    typedef struct _ExampleCat ExampleCat;

Abstract interface type for the D-Bus interface org.gtk.GDBus.Example.ObjectManager.Cat.

### struct ExampleCatIface

    struct ExampleCatIface {
      GTypeInterface parent_iface;
    };

Virtual table for the D-Bus interface org.gtk.GDBus.Example.ObjectManager.Cat.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct ExampleCatProxy

    struct ExampleCatProxy;

The ExampleCatProxy structure contains only private data and should only be accessed using the provided API.

### struct ExampleCatProxyClass

    struct ExampleCatProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for ExampleCatProxy.

#### Members

### struct ExampleCatSkeleton

    struct ExampleCatSkeleton;

The ExampleCatSkeleton structure contains only private data and should only be accessed using the provided API.

### struct ExampleCatSkeletonClass

    struct ExampleCatSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for ExampleCatSkeleton.

#### Members